textures/oasys/smoke
{
	{
		map textures/oasys/smoke.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		alphaGen vertex
	}
}

textures/oasys/lava1
	{
		qer_editorimage textures/oasys/lava1.tga
		qer_trans .5
            q3map_lightimage textures/oasys/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		
        q3map_surfacelight 500
		q3map_tessSize 64
		cull disable

		deformVertexes wave 200 sin 0 1 .5 .5

		{
			map textures/oasys/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/oasys/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/oasys/eq2lt_baselt03b_s_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/oasys/eq2_baselt03b.blend.tga
	qer_editorimage textures/oasys/eq2_baselt03b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/oasys/eq2_baselt03b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/oasys/eq2_baselt03b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/oasys/eq2lt_baselt03b_blue_s_2000
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/oasys/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/oasys/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/oasys/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/oasys/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/oasys/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/oasys/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}



textures/oasys/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/oasys/water
{
	qer_trans 0.4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nomarks
	deformVertexes wave 256 sin 0 5 6 0.5 
	cull disable
	{
		map textures/oasys/water.jpg
		alphaGen const 0.2
		blendfunc blend
		tcMod scale 0.5 0.5
		tcMod scroll 0.5 0.5
	}
	{
		map textures/oasys/water.jpg
		alphaGen const 0.2
		blendfunc blend
		tcMod scale 0.5 0.5
		tcMod scroll -0.5 0.5
	}
	{
		map textures/oasys/water.jpg
		blendfunc GL_SRC_ALPHA GL_ONE
		alphaGen const 0.4
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
	}
}